Page MenuHomePhabricator

Add support configuration for OpenStreetMap
Closed, ResolvedPublic2 Estimated Story Points

Description

I noticed requests are going to https://translatewiki.net/w/i.php?title=Translating_talk:OpenStreetMap and not getting any replies there. Probably worth making them go to their github issue tracker instead.

Event Timeline

Nikerabbit set the point value for this task to 1.
Nikerabbit moved this task from Backlog to Configuration changes on the translatewiki.net board.

image.png (1×2 px, 266 KB)

As per the screenshot, the issue tracker on github is set up with a number of templates
Where can the messages with issues be sent?
#1 As a bug?
#2 Redirects to How to translate on OpenSteetMaps wiki.
#3 There's an option to create a new issue with the following params:

support:
      url: https://github.com/openstreetmap/openstreetmap-website/issues/new/
      params:
        title: Translation issue with message %MESSAGE%
        body: "\n\nURL: %MESSAGE_URL%"

I'd think we could either use a bug of feature request template. Maybe the best course of action is reach out to OSM and ask what they prefer? Maybe they even want a new template just for these.

Change 1006615 had a related patch set uploaded (by Wangombe; author: Wangombe):

[translatewiki@master] Add support configuration for OpenStreetMap

https://gerrit.wikimedia.org/r/1006615

Wangombe changed the task status from Open to In Progress.Feb 27 2024, 6:21 AM
Wangombe claimed this task.

We now have an open Github issue for this task on OpenStreetMap.

abi_ changed the point value for this task from 1 to 2.Feb 28 2024, 7:09 AM
abi_ subscribed.

Increasing to reflect the change in scope of the task which now requires consultation with the OSM team.

Waiting for response from OSM team.

Change #1006615 abandoned by Wangombe:

[translatewiki@master] Add support configuration for OpenStreetMap

Reason:

No longer needed after this discussion: https://github.com/openstreetmap/openstreetmap-website/issues/4546

https://gerrit.wikimedia.org/r/1006615

Wangombe changed the task status from In Progress to Stalled.May 13 2024, 9:04 AM
abi_ changed the task status from Stalled to Open.May 14 2024, 6:52 AM
abi_ moved this task from Blocked to In Review on the Language-Team (Language-2024-April-June) board.

As at the posting of this comment, the conversation on GitHub with the OSM team has stalled. From the screenshot below demonstrates using an message box notice to inform and potentially direct these queries to OpenStreetMaps GitHub issues page when a user is in the process of creating an issue on Translating talk:OpenStreetMap.

image.png (1×2 px, 322 KB)